using CaseAccountingContracts.BindingModels;
using CaseAccountingContracts.SearchModels;
using CaseAccountingContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.BusinessLogicContracts
{
    public interface IDealLogic
    {
        List<DealViewModel>? ReadList(DealSearchModel? model);
        DealViewModel? ReadElement(DealSearchModel model);
        bool Create(DealBindingModel model);
        bool Update(DealBindingModel model);
        bool Delete(DealBindingModel model);
    }
}
